17 Jul 2009

ies4linux on Ubuntu Jaunty

Installing ies4linux on Jaunty is not so straight forward. I have only managed to install IE6 and flash so far (IE1 - IE7 would be available in the same package).

First of all, wine and cabextract are needed:
$ sudo apt-get install -y wine cabextract

then download the ies4 linux package:

cd /tmp
wget http://www.tatanka.com.br/ies4linux/downloads/ies4linux-latest.tar.gz
tar zxvf ies4linux-latest.tar.gz
cd ies4linux-*


The version check of wine is looking for re/0\.9\.*/ but wine hited version 1.* some weeks ago, this version check doesn't work, I have disabled it since we are using defenately a newer version. Edit «lib/functions.sh» and comment out the line with wine version check (~ line 36):
--- lib/functions.sh-dist 2009-07-17 17:39:55.283279400 +0200
+++ lib/functions.sh 2009-07-17 17:39:59.917574880 +0200
@@ -33,7 +33,7 @@
# Find where wine is
function find_wine {
which wine &> /dev/null || error $MSG_ERROR_INSTALL_WINE
- wine --version 2>&1 | grep -q "0.9." || warning $MSG_WARNING_OLDWINE
+ # wine --version 2>&1 | grep -q "0.9." || warning $MSG_WARNING_OLDWINE
}

# check for cabextract


Now the installer should work and you can install ies4linux (ie6 + flash + msfonts) to your $HOME directory:

./ies4linux  \
--basedir ~/ies4linux --bindir ~/bin \
--no-desktop-icon --install-corefonts --no-gui


The «--help» and «--full-help» command line arguments do not expose all commandline parameters. All options can be found in the ./ies4linux shell script:
# Get command-line options
while [ $# -gt 0 ]; do
case "$1" in
--install-ie6 | --install-flash) shift;;
--install-ie55) export INSTALLIE55=1; shift ;;
--install-ie5) export INSTALLIE5=1; shift ;;
--install-ie2) export INSTALLIE2=1; shift ;;
--install-ie15) export INSTALLIE15=1; shift ;;
--install-ie1) export INSTALLIE1=1; shift ;;

--install-ie7|--beta-install-ie7) export INSTALLIE7=1; shift ;;
--hack-ie7-proxy-settings) export HACK_IE7_PROXY=1; shift ;;

--no-ie6) export INSTALLIE6=0; shift ;;
--no-flash) export INSTALLFLASH=0; shift ;;
--no-desktop-icon) export CREATE_DESKTOP_ICON=0; shift ;;
--no-menu-icon) export CREATE_MENU_ICON=0; shift ;;
--install-corefonts) export INSTALLCOREFONTS=1; shift ;;

--basedir) export BASEDIR="$2"; shift 2 ;;
--bindir) export BINDIR="$2"; shift 2 ;;
--downloaddir) export DOWNLOADDIR="$2"; changeddownloaddir=1; shift 2 ;;
--wget-flags) export WGETFLAGS="$2"; shift 2 ;;

--no-gui) export IES4LINUX_MODE="automatic"; shift ;;
--no-color) export NOCOLOR=1; shift 1 ;;
--gui) export PREFERRED_GUI=$2; shift 2 ;;
--no-localization)
eval $(load_variables_file "$IES4LINUX/lang/enUS.sh")
shift
;;

--uninstall)
uninstall
exit 0
;;
--locale)
export CHOOSED_IE6_LOCALE=$(echo "$2" | tr a-z A-Z)
shift 2
;;
--list-locales)
echo $IE6_LOCALES | fmt -w 40
exit 0
;;
--debug)
export DEBUG=true
shift
;;
--help | -h)
sh lib/help.sh
exit 0
;;
--full-help)
sh lib/help.sh full
exit 0
;;
*)
echo "Error: unknown option \"$1\""
if echo "$1" | grep '=' >/dev/null; then
echo "Options are not GNU-style"
echo " i.e. don't use: --option=value"
echo " use instead: --option value"
fi
echo "run \"./ies4linux --help\" for more info"
exit 1
;;
esac
done